### Function

# GLib ThreadPool set_max_unused_threads

#### Declaration

    void
    g_thread_pool_set_max_unused_threads (
      gint max_threads
    )

#### Description

Sets the maximal number of unused threads to `max_threads`. If `max_threads` is -1, no limit is imposed on the number of unused threads.

The default value is 2.

#### Parameters

`max_threads`

  Type: `gint`

  Maximal number of unused threads.